#ifndef MQTT_IOT02_H
#define MQTT_IOT02_H

#include <QWidget>
#include "indicadorled.h"
#include "mqttbasic.h"
#include "indicadorgrupbotonset.h"
#include <QTimer>

QT_BEGIN_NAMESPACE
namespace Ui { class Mqtt_IoT02; }
QT_END_NAMESPACE

class Mqtt_IoT02 : public QWidget
{
    Q_OBJECT

public:
    Mqtt_IoT02(QWidget *parent = nullptr);
    ~Mqtt_IoT02();

private:
    Ui::Mqtt_IoT02 *ui;

    MqttBasic *mqttBasic;
    IndicadorLed *indicadorLed;
    IndicadorGrupBotonsEt *indicadorBotons;
    QString qsTemaBtIO0,qsTemaBtI34,qsTemaBtI35;
    QString qsTemaJsonInReq,qsTemaJsonIn;
    QTimer *timer;
    int nLdrDesDeCadenaTextJson(QString);

private slots:
    void vMqttConnectat();
    void vMqttDesconnectat();
    void vTrametJsonLeds(QString);
    void vCridaTemporitzador();

public slots:
    void vSlotMqttMsgRcv(QString,QString);
};
#endif // MQTT_IOT02_H
